Bug 232503 - Alpha's still disabled
Alpha's still disabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 15:33 EDT by Trever Adams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 18:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2007-03-15 15:33:37 EDT
Description of problem:
Flash has been fixed (v. 9) so that it will no longer crash X with alphas. The
bug was in gtk 1.0 (if I remember correctly), which hopefully was fixed as well.
It is time to remove all hacks (which shouldn't be hard coded anyway) that block
ALPHA containing images, animations, etc.

Version-Release number of selected component (if applicable):
firefox-2.0.0.2-2.fc7


How reproducible:
Easy, go to foxnews.com, most shopping sites that use flash, etc. They won't
show the image.
Comment 1 Christopher Aillon 2007-03-15 17:38:38 EDT
Um, it is time to what?  Not quite sure what you're asking us to do.
Comment 2 Trever Adams 2007-03-15 20:49:58 EDT
To remove the hacks. I know RH/Fedora removed the proper hack in the shell
script, but it appears that the hack that is in Firefox code to disable RGBA
plugins, etc. is still in place. Flash won't work properly and show the images
as black (and video as black) if it has ALPHA components to it.

Sorry for not having been clear.
Comment 3 Christopher Aillon 2007-03-15 23:30:36 EDT
Since you seem to know what the hack is, do you care to share?
Comment 4 Trever Adams 2007-03-16 05:15:04 EDT
I remember seeing a few things. I saw the patch once, looking for it now. I
remember Fedora/RH change logs stating that they didn't need the RGBA workaround
in the shell (but were leaving it in anyway) because it was now in firefox.

export XLIB_SKIP_ARGB_VISUALS=1 was the shell work around.

If it was just foxnews, I would think it was their problem, but several shopping
sites have the same problem (black windows or nothing).

I cannot find the firefox source code work around. Maybe I am remembering that
incorrectly, but I believe I am not.
Comment 5 Matěj Cepl 2007-03-16 05:33:24 EDT
When you will find out what's the problem, please, let us know. Putting this
into NEEDINFO(reporter) for now, so that we know, that ball is on your side of
the table.
Comment 6 Christopher Aillon 2007-03-16 10:15:51 EDT
I'm the one that would have added any hacks in.  I really have no idea what
you're thinking this other hack is.  The only "hack" I added was the environment
variable that was subsequently removed from rawhide when flash 9 was released to
the public.  Here are the relevant changelog entries.

* Thu Jan 18 2007 Christopher Aillon <caillon@redhat.com> 2.0.0.1-3
- Remove the XLIB_SKIP_ARGB_VISUALS=1 workaround; the plugin got fixed.

* Sun Sep 03 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.6-10
- Enable GCC visibility
- export XLIB_SKIP_ARGB_VISUALS=1 as a temporary workaround to prevent
  a broken Adobe/Macromedia Flash Player plugin taking the X server.
Comment 7 Trever Adams 2007-03-16 14:13:20 EDT
The hack I was thinking of supposedly was done by mozilla group, not by anyone
at RedHat/Fedora. Let us just close the bug because I am still unable to find
what I am sure I saw and I have been using bugzilla and LXR on mozilla, I cannot
find it. I do not know therefore why certain sites don't work in Linux.

Thank you for your help.
Comment 8 Christopher Aillon 2007-03-25 18:32:14 EDT
I'd recommend filing bugs specifically about what doesn't work rather than
requesting some unknown code to be removed.  If it was done upstream and the
problem also affects upstream versions, I recommend filing a bug upstream.  Do
you want to do this?

Going to close this one.
Comment 9 Trever Adams 2007-03-25 21:16:40 EDT
It does affect upsream. Once upon a time I knew exactly what code. I am sorry
about this. It affects websites that have alpha in video and certain other
things. Foxnews's video streams are just one such site with problems. Leave it
as closed.

Note You need to log in before you can comment on or make changes to this bug.